VisualEditor: Support the <code> tag as a text annotation
Closed, ResolvedPublic

Description

VisualEditor should support adding and editing the code tag (<code></code>).


Version: unspecified
Severity: enhancement

bzimport set Reference to bz51590.
Mattflaschen created this task.Via LegacyJul 18 2013, 12:59 AM
gerritbot added a comment.Via ConduitJul 19 2013, 12:07 AM

Change 74563 had a related patch set uploaded by Jforrester:
De-alienate <code>foo</code> blocks (code element)

https://gerrit.wikimedia.org/r/74563

gerritbot added a comment.Via ConduitJul 19 2013, 12:51 AM

Change 74563 merged by jenkins-bot:
De-alienate <code>foo</code> blocks (code element)

https://gerrit.wikimedia.org/r/74563

Jdforrester-WMF added a comment.Via ConduitJul 19 2013, 5:31 PM

With the latest master, <code> blocks are no longer alienated (so you can edit their contents and copy them), but we haven't added the user interaction tools to set or unset the styling.

gerritbot added a comment.Via ConduitJul 26 2013, 11:03 AM

Change 76074 had a related patch set uploaded by Esanders:
'CodeScript' => 'Code'

https://gerrit.wikimedia.org/r/76074

gerritbot added a comment.Via ConduitJul 26 2013, 11:03 AM

Change 76077 had a related patch set uploaded by Esanders:
Code annotation

https://gerrit.wikimedia.org/r/76077

gerritbot added a comment.Via ConduitJul 26 2013, 7:31 PM

Change 76074 merged by jenkins-bot:
'CodeScript' => 'Code'

https://gerrit.wikimedia.org/r/76074

gerritbot added a comment.Via ConduitJul 26 2013, 7:41 PM

Change 76077 merged by jenkins-bot:
Code annotation button

https://gerrit.wikimedia.org/r/76077

Jdforrester-WMF added a comment.Via ConduitJul 26 2013, 7:50 PM

This is now done, but marked as "experimental" (so it will show up on MediaWiki.org and the test wikis, but not on other production wikis like the Wikipedias). This is mostly because we don't yet have a proper design for how to have lots of different text annotations (currently we're tracking bugs to create an additional eight on top of the four that now exist including this one). Once we've got a design for that, we'll switch it out of experimental mode, but I'll mark this as fixed for now.

Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 3 2014, 5:37 AM

Add Comment